Deducts the requested amount from the Profile specified with a redemption type of “Devalue”. To deduct the remaining balance from the Profile automatically, specify the amount to be 0 (zero).
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction. |
| profileNumber | String | 1-20 characters | ✓ | The profile to devalue, funds will be deducted from this profile. |
| requestAmount | Integer | ✓ | The requested amount to be deducted from the profile, in cents. | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client. | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>DevalueProfile</methodName>
<params>
<param>
<value>
<string>2569555551</string>
</value>
</param>
<param>
<value>
<string>4567890745</string>
</value>
</param>
<param>
<value>
<double>47089</double>
</value>
</param>
<param>
<value>
<string>56fe12345abc4</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>2023-02-28T22:38:11</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>c354798a16f41a68394c15ce6eaa033e5050895f</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value. |
| profileNumber | String | Echo of incoming value. |
| requestAmount | Integer | Echo of incoming value. |
| clientTransactionID | String | Echo of incoming value. |
| serverTransactionID | Date | Transaction ID generated by Paymentology. |
| balanceAmount | Integer | Balance amount in cents. |
| authNumber | String | Authorisation number for transaction. |
| transactionFee | Integer | Transaction fee amount, in cents. |
| resultCode | Integer | Status code indicating transaction amount. |
| resultText | String | Text indicating transaction result. |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>56fe12345abc4</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>2569555551</string>
</value>
</member>
<member>
<name>requestAmount</name>
<value>
<int>47089</int>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>4567890745</string>
</value>
</member>
<member>
<name>balanceAmount</name>
<value>
<int>393318227</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>6004703440-c354798a16f41a68394c15c5236a033j5io5495f</string>
</value>
</member>
<member>
<name>authNumber</name>
<value>
<int>2658</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>